<!-- Based on fast/table/border-collapsing/cached-change-colgroup-border-width.html -->
<!--
Calculating collapsed borders for big tables is expensive, so we cache them and recalculate when needed.
Here we change colgroup border width, expect that cache is invalidated and paint produces expected image.
-->
<html>
    <head>
        <title></title>
        <link rel="stylesheet" href="../../../fast/table/border-collapsing/resources/cached.css">
        <script src="resources/paint-invalidation-test.js"></script>
        <script type="text/javascript">
            window.expectedPaintInvalidationObjects = [
                "LayoutTableCell TD",
                "LayoutTableCell TD",
                "LayoutTableCell TD",
                "LayoutTableCell TD",
                "LayoutTableCell TD",
                "LayoutTableCell TD",
                "LayoutTableCell TD",
                "LayoutTableCell TD",
                "LayoutTableCell TD",
                "LayoutTableCell TD",
                "LayoutTableCol COLGROUP id='colgroup'",
                "LayoutTableCell TD",
                "LayoutTableCell TD",
                "LayoutTableCell TD",
                "LayoutTableCell TD",
            ];
            function paintInvalidationTest() {
                document.getElementById("colgroup").style.borderWidth = "4px";
            }
        </script>
    </head>
    <body onload="runPaintInvalidationTest()">
        <table style="border-collapse:collapse; border:1px solid blue">
            <colgroup style="border:1px solid yellow" id="colgroup">
                <col>
                <col>
            </colgroup>
            <colgroup>
                <col>
            </colgroup>
            <tbody>
                <tr>
                    <td style="border:2px solid lime"/>
                    <td/>
                    <td/>
                </tr>
                <tr>
                    <td/>
                    <td/>
                    <td/>
                </tr>
            </tbody>
        </table>
    </body>
</html>

